### Function

# Goa MusicProxy new_for_bus

since: 3.18.0

#### Declaration [src]

    void
    goa_music_proxy_new_for_bus (
      GBusType bus_type,
      GDBusProxyFlags flags,
      const gchar* name,
      const gchar* object_path,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Like `goa_music_proxy_new()` but takes a `GBusType` instead of a `GDBusConnection`.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_music_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_music_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

Available since: 3.18.0

This function completes asynchronously. Use `goa_music_proxy_new_for_bus_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`bus_type`

  Type: `GBusType`

  A `GBusType`.

`flags`

  Type: `GDBusProxyFlags`

  Flags from the `GDBusProxyFlags` enumeration.

`name`

  Type: `const gchar*`

  A bus name (well-known or unique).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.